Subject: [stir] STIR update

From: "Peterson, Jon" <[email-masked]>
Date: Thu, 24 Mar 2016 17:15:31 +0000

In advance of the Buenos Aires meeting, Chris and I have updated the core STIR specifications. rfc4474bis and stir-passport are now in closer alignment, though I'm sure there are still a few remaining places where synchronization is needed. We tried to make the extensibility model much clearer: what used to be "spec" or "type" is now "ppt", and front-line extensibility is largely based on using the "ppt" attribute to signal that you've gone beyond the "bare minimum." Also, do note that the new rfc4474bis introduced a small fix in order to handle networks that alter the Date header in transit (if you do that, your network is bad and you should feel bad, btw). But there shouldn't be any shocking changes in here, this is pretty much just continuing the alignment process that the last revisions started.

Sean and I also issued a new version of stir-certs. I think this version does a better job of explaining the various ways to use certs with STIR, and explicitly leaves open doors that people seem to want to use.

Finally, to demonstrate how we think the extensibility model is supposed to work, Chris and I wrote a draft that extends STIR with a "cna" parameter that can secure the display name of a caller. That spec is draft-peterson-stir-cnam. Securing display name is specifically out of scope of the STIR working group, a provision we created when there was an active "cnit" effort underway, but we're not necessarily seeking a charter update at this point - we just want to make sure that we at least understand how extensibility is supposed to work, and this example seemed like the lowest-hanging fruit.

Happy to talk about this here on the list, or in Buenos Aires.

Jon Peterson
Neustar, Inc.